# Importer les bibliothèques utilisées par le script
from gpiozero import LED, Button
from time import sleep
from random import uniform
from signal import pause
from sys import exit

# Demander le nom des joueurs
nom_24 = input('Joueur 1 ')
nom_25 = input('Joueur 2 ')

# Connecter le LED et les boutons poussoirs aux ports GPIO correspondants
led = LED(23)
bouton_B1 = Button(24)
bouton_B2 = Button(25)

# Initialiser les scores
score_24 = 0
score_25 = 0

# La partie se déroule en 5 essais
for i in range (5):
    # Allumer la LED pendant un temps aléatoire entre 2 et 4 secondes 
    led.on()
    sleep(uniform(2, 4))
    led.off()
    # Attendre l'appui sur un des deux boutons   
    while True:
        if(bouton_B1.is_pressed or bouton_B2.is_pressed):
             break
    # Incrémenter le score du gagnant        
    if bouton_B1.is_pressed:
        # La ligne print sert lors de la mise au point du programme
        #print ("B1 appuyé")
        score_24 = score_24 + 1
    else:
        # La ligne print sert lors de la mise au point du programme
        #print ("B2 appuyé")
        score_25 = score_25 + 1
        # Pause
        sleep(1)
        
# Afficher le score final
# \n ajoute une ligne vide avant "Score"
print ("\nScore :")
print (nom_24, " => ", score_24, " points")
print (nom_25, " => ", score_25, " points")
# Sortir du programme 
exit()
